﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:xct="http://xamarin.com/schemas/2020/toolkit"
             Shell.NavBarIsVisible="False"
             x:Class="COMPP.Views.OtherProfilePage">
    <ContentPage.Behaviors>
        <xct:EventToCommandBehavior
                EventName="Appearing"
                Command="{Binding PageAppearingCommand}" />
    </ContentPage.Behaviors>
    <ContentPage.Content>
        <Grid>
            <Image Source="background_profile.png" Aspect="AspectFill"></Image>
            <ScrollView>
                <StackLayout>
                    <Grid HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" >
                        <Grid VerticalOptions="Start">
                            <Image Source="bg_profile.png" Aspect="AspectFit"/>
                        </Grid>
                        <StackLayout Orientation="Vertical" Margin="20,35,20,0" Spacing="20">
                            <StackLayout Orientation="Horizontal" Spacing="220">
                                <ImageButton Source="back.png" BackgroundColor="Transparent" Command="{Binding Back}"></ImageButton>
                                <Label Text="Profile" FontSize="28" TextColor="White"></Label>
                            </StackLayout>
                            <StackLayout Orientation="Horizontal" Margin="0,30,0,0">
                                <StackLayout Orientation="Vertical">
                                    <Label Text="{Binding Name}" FontSize="28" TextColor="White"></Label>
                                    <Label Text="{Binding Description}" FontSize="14" TextColor="White"></Label>
                                    <StackLayout Orientation="Horizontal">
                                        <Label Text="{Binding Location}" FontSize="14" TextColor="White"></Label>
                                    </StackLayout>
                                    <StackLayout Orientation="Horizontal">
                                        <Frame Padding="5" CornerRadius="10" HeightRequest="30" WidthRequest="100" HorizontalOptions="Center">
                                            <StackLayout Spacing="0">
                                                <StackLayout.GestureRecognizers>
                                                    <TapGestureRecognizer Command="{Binding ConnectionCommand}"></TapGestureRecognizer>
                                                </StackLayout.GestureRecognizers>
                                                <Label Text="Connections" FontSize="12" TextColor="#47B2BA">
                                                    <Label.GestureRecognizers>
                                                        <TapGestureRecognizer Command="{Binding ConnectionCommand}"></TapGestureRecognizer>
                                                    </Label.GestureRecognizers>
                                                </Label>
                                                <StackLayout Orientation="Horizontal" Spacing="3">
                                                    <StackLayout.GestureRecognizers>
                                                        <TapGestureRecognizer Command="{Binding ConnectionCommand}"></TapGestureRecognizer>
                                                    </StackLayout.GestureRecognizers>
                                                    <Label Text="{Binding ConnectionCount}" TextColor="Black" FontSize="10">
                                                        <Label.GestureRecognizers>
                                                            <TapGestureRecognizer Command="{Binding ConnectionCommand}"></TapGestureRecognizer>
                                                        </Label.GestureRecognizers>
                                                    </Label>
                                                    <Label Text="koneksi" TextColor="Black" FontSize="10">
                                                        <Label.GestureRecognizers>
                                                            <TapGestureRecognizer Command="{Binding ConnectionCommand}"></TapGestureRecognizer>
                                                        </Label.GestureRecognizers>
                                                    </Label>
                                                </StackLayout>
                                            </StackLayout>

                                        </Frame>
                                        <ImageButton Command="{Binding UpdateFollowStatusCommand}" Aspect="AspectFit" Padding="5" BackgroundColor="{Binding IconFollowColor}" Source="{Binding FollowImage}" CornerRadius="10" WidthRequest="45" HeightRequest="30"></ImageButton>
                                    </StackLayout>
                                </StackLayout>
                                <StackLayout HorizontalOptions="EndAndExpand" Margin="0,0,15,0">
                                    <Image Source="{Binding Picture}" WidthRequest="150" HeightRequest="150">
                                        <Image.Clip>
                                            <EllipseGeometry
                                            Center="75,75"
                                            RadiusX="75"
                                            RadiusY="75"/>
                                        </Image.Clip>
                                    </Image>
                                </StackLayout>
                            </StackLayout>
                            <Frame Padding="5" CornerRadius="10">
                                <StackLayout>
                                    <StackLayout Orientation="Horizontal">
                                        <Label Text="About" FontSize="18" TextColor="#47B2BA" HorizontalOptions="FillAndExpand"></Label>
                                    </StackLayout>
                                    <Label Text="{Binding About}" TextColor="Black" FontSize="14"></Label>
                                </StackLayout>
                            </Frame>
                            <Frame Padding="5" CornerRadius="10">
                                <StackLayout>
                                    <StackLayout Orientation="Horizontal">
                                        <Label Text="Pengalaman" FontSize="18" TextColor="#47B2BA" HorizontalOptions="FillAndExpand"></Label>
                                    </StackLayout>
                                    <ListView ItemsSource="{Binding ExperienceListShow}" HeightRequest="{Binding ExperienceHeight}" RowHeight="70" VerticalOptions="FillAndExpand">
                                        <ListView.ItemTemplate>
                                            <DataTemplate>
                                                <ViewCell>
                                                    <StackLayout Orientation="Horizontal">
                                                        <Image Source="{Binding Image}" WidthRequest="48" HeightRequest="48"></Image>
                                                        <StackLayout Spacing="3">
                                                            <Label Text="{Binding Title}" TextColor="#353535" FontAttributes="Bold" FontSize="14"></Label>
                                                            <Label Text="{Binding ExperienceName}" TextColor="#353535" FontSize="14"></Label>
                                                            <StackLayout Orientation="Horizontal">
                                                                <Label Text="{Binding StartDate, StringFormat='{0:MMMM yyyy -}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                                <Label Text="{Binding EndDate, StringFormat='{0:MMMM yyyy}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                            </StackLayout>
                                                        </StackLayout>
                                                    </StackLayout>
                                                </ViewCell>
                                            </DataTemplate>
                                        </ListView.ItemTemplate>
                                    </ListView>
                                    <Button Text="Lihat semua pengalaman" Command="{Binding LoadMoreExperience}" BackgroundColor="#47B2BA" HeightRequest="37" CornerRadius="10" IsVisible="{Binding LoadMoreStateExperience}"></Button>
                                </StackLayout>
                            </Frame>
                            <Frame Padding="5" CornerRadius="10">
                                <StackLayout>
                                    <StackLayout Orientation="Horizontal">
                                        <Label Text="Pendidikan" FontSize="18" TextColor="#47B2BA" HorizontalOptions="FillAndExpand"></Label>
                                    </StackLayout>
                                    <ListView ItemsSource="{Binding EducationListShow}" HeightRequest="{Binding EducationHeight}" RowHeight="70" VerticalOptions="FillAndExpand">
                                        <ListView.ItemTemplate>
                                            <DataTemplate>
                                                <ViewCell>
                                                    <StackLayout Orientation="Horizontal">
                                                        <Image Source="{Binding Image}" WidthRequest="48" HeightRequest="48"></Image>
                                                        <StackLayout Spacing="3">
                                                            <Label Text="{Binding SchoolName}" TextColor="#353535" FontAttributes="Bold" FontSize="14"></Label>
                                                            <Label Text="{Binding Description}" TextColor="#353535" FontSize="14"></Label>
                                                            <StackLayout Orientation="Horizontal">
                                                                <Label Text="{Binding StartDate, StringFormat='{0:MMMM yyyy -}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                                <Label Text="{Binding EndDate, StringFormat='{0:MMMM yyyy}'}" TextColor="#7A7A7A" FontSize="10"/>
                                                            </StackLayout>
                                                        </StackLayout>
                                                    </StackLayout>
                                                </ViewCell>
                                            </DataTemplate>
                                        </ListView.ItemTemplate>
                                    </ListView>
                                    <Button Text="Lihat semua pendidikan" Command="{Binding LoadMoreEducation}" BackgroundColor="#47B2BA" HeightRequest="37" CornerRadius="10" IsVisible="{Binding LoadMoreStateEducation}"></Button>
                                </StackLayout>
                            </Frame>
                            <Frame Padding="5" CornerRadius="10" Margin="0,0,0,15">
                                <StackLayout>
                                    <StackLayout Orientation="Horizontal">
                                        <Label Text="Kontak" FontSize="18" TextColor="#47B2BA" HorizontalOptions="FillAndExpand"></Label>
                                    </StackLayout>
                                    <StackLayout Orientation="Horizontal" Spacing="20" Margin="10,0,0,0">
                                        <Image Source="mail.png" WidthRequest="20" HeightRequest="20"></Image>
                                        <Label Text="{Binding Email}" TextColor="#353535"></Label>
                                    </StackLayout>
                                </StackLayout>
                            </Frame>
                        </StackLayout>
                    </Grid>
                </StackLayout>
            </ScrollView>
            <ActivityIndicator
            Color="#82B9BC"
            HorizontalOptions="CenterAndExpand"
            VerticalOptions="CenterAndExpand"
            IsRunning="{Binding IsLoading}"
            IsVisible="{Binding IsLoading}"
            IsEnabled="{Binding IsLoading}"/>
        </Grid>
    </ContentPage.Content>
</ContentPage>